<template>
    <CDropdown
            inNav
            class="c-header-nav-items"
            placement="bottom-end"
            add-menu-classes="pt-0"
    >
        <template #toggler>
            <CHeaderNavLink>
                <div class="c-avatar">
                    <img
                            src="img/avatars/user_lg.png"
                            class="c-avatar-img "
                    />
                </div>
            </CHeaderNavLink>
        </template>
        <CDropdownHeader tag="div" class="text-center" color="light">
            <strong>Mon compte</strong>
        </CDropdownHeader>
        <CDropdownItem v-on:click="goToProfile">
            <CIcon name="cil-user"/>
            Profile
        </CDropdownItem>
        <CDropdownItem v-on:click="logUserOut">
            <CIcon name="cil-lock-locked"/>
            Logout
        </CDropdownItem>
    </CDropdown>
</template>

<script>
    import VueJwtDecode from "vue-jwt-decode";
    import swal from "sweetalert";

    export default {
        name: 'TheHeaderDropdownAccnt',
        data() {
            return {
                itemsCount: 42
            }
        },
        methods: {
            getUserDetails() {
                let token = localStorage.getItem("jwt");
                let decoded = VueJwtDecode.decode(token);
                this.user = decoded;
            },
            logUserOut() {
                localStorage.removeItem("jwt");
                this.$router.push("/login");
                swal("Succès", "Déconnexion reussie", "success");
            },
            goToProfile() {
                this.$router.push("/profile");
            }
        },
    }
</script>

<style scoped>
    .c-icon {
        margin-right: 0.3rem;
    }
</style>